StorageManagerState
Durable actor state for StorageManager
Usage profiles
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
userId | string | Optional | Identifier of the user associated with the operation. |
folders | Map from string to FolderInfo | Optional | Path -> FolderInfo. |
files | Map from string to FileInfo | Optional | Path -> FileInfo. |
totalSizeBytes | string (int64) | Optional | Combined size of the represented files, in bytes. Pattern: ^-?\d+$. |
quotaBytes | string (int64) | Optional | Storage capacity allocated to the user, in bytes. Pattern: ^-?\d+$. |
totalFileCount | integer (int32) | Optional | Number of files tracked in the storage state. Minimum: -2147483648. Maximum: 2147483647. |
totalFolderCount | integer (int32) | Optional | Number of folders tracked in the storage state. Minimum: -2147483648. Maximum: 2147483647. |
createdAt | string | Optional | When user's storage was initialized. |
lastModified | string | Optional | Last modification timestamp. |
Where used
| Reference | Relationship |
|---|---|
| Get storage state | POST /api/v1/storage/get-state |
Download the public reference contract.
Document: DOC-API-MODEL-storage-manager-state.